import java.awt.*;
import java.applet.*;

public class FrameApplet3 extends Applet
{
    CustomFrame frame;
    Button button;

    public void init()
    {
          frame = new CustomFrame("Custom Frame Window");
          button = new Button("Show Window");
          add(button);
    }

    public boolean action(Event evt, Object arg)
    {
        boolean visible = frame.isShowing();
        if (visible)
        {
            frame.hide();
            button.setLabel("Show Window");
        }
        else
        {
            frame.show();
            button.setLabel("Hide Window");
        }

        return true;
    }
}

class CustomFrame extends Frame
{
    Button button;

    CustomFrame(String title)
    {
        super(title);
        FlowLayout layout = new FlowLayout();
        setLayout(layout);
        button = new Button("Close Window");
        add(button);
    }

    public void paint(Graphics g)
    {
        resize(200, 100);
        g.drawString("This is a custom window.", 30, 50);
    }

    public boolean action(Event evt, Object arg)
    {
        if (arg == "Close Window")
            dispose();

        return true;
    }
}
